import 'package:flutter/material.dart';
import 'package:npay_component/components/tab_bar_widget/np_tab_bar.dart';
class TabBarExample extends StatefulWidget {
   TabBarExample({Key key}) : super(key: key);

  @override
  _TabBarExampleState createState() => _TabBarExampleState();
}

class _TabBarExampleState extends State<TabBarExample> with TickerProviderStateMixin{
  TabController tabController;
  int index = 0;
  @override
  void initState() {
    tabController = TabController(initialIndex: index,length: 4,vsync: this);

    super.initState();
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      floatingActionButton:FloatingActionButton(
        onPressed: () {
          if (index < 3) {
            index += 1;
          } else {
            index = 0;
          }
          tabController.animateTo(index);
        },
        child: Icon(Icons.add),
      ),
      body: SafeArea(
        child: NPTabBar(
          tabController: tabController,
          padding: EdgeInsets.all(12),
          onChangeIndex: (index){
            print('==========Log:$index');
          },
          color: Colors.amber,
          titles: ['Nạp ĐT', 'Thẻ ĐT', '3G/4G', 'Trả sau'],
          tabView: [
            Container(
              color: Colors.blue,
            ),
            Container(
              color: Colors.amber,
            ),
            Container(
              color: Colors.green,
            ),
            Container(
              color: Colors.tealAccent,
            ),
          ],
        ),
      ),
    );
  }
}

